java.awt.geom

## Class IllegalPathStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.awt.geom.IllegalPathStateException

All Implemented Interfaces:
  Serializable

    public class IllegalPathStateException
    extends RuntimeException

The `IllegalPathStateException` represents an exception that is thrown if an operation is performed on a path that is in an illegal state with respect to the particular operation being performed, such as appending a path segment to a `GeneralPath` without an initial moveto.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalPathStateException()` Constructs an `IllegalPathStateException` with no detail message.
`IllegalPathStateException(String s)` Constructs an `IllegalPathStateException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalPathStateException

    public IllegalPathStateException()

Constructs an `IllegalPathStateException` with no detail message.

Since:
  1.2

#### IllegalPathStateException

    public IllegalPathStateException(String s)

Constructs an `IllegalPathStateException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.2